List Scaffolder Templates
GET
/v1/portal/scaffolder/templates
const url = 'https://example.com/v1/portal/scaffolder/templates?stack_type=&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/scaffolder/templates?stack_type=&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”stack_type
Stack Type
string
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalProjectFactoryTemplateListOut
object
items
Items
Array<object>
PortalProjectFactoryTemplateOutobject
template_id
required
Template Id
string
title
required
Title
string
template_family
Template Family
string
summary
Summary
string
stack_type
Stack Type
string
project_type
Project Type
string
frontend_framework
Frontend Framework
string
backend_framework
Backend Framework
string
git_path
Git Path
string
delivery_profile
Delivery Profile
string
runtime_profile
Runtime Profile
string
registry_profile
Registry Profile
string
execution_profile
Execution Profile
string
ai_agent_profile
Ai Agent Profile
string
asset_preset_id
Asset Preset Id
string
required_scopes
Required Scopes
Array<string>
enabled_stack_ids
Enabled Stack Ids
Array<string>
default_ai_agents
Default Ai Agents
Array<string>
registry
Registry
object
key
additional properties
any
workspace
Workspace
object
key
additional properties
any
participants
Participants
Array<object>
PortalProjectFactoryTemplateParticipantOutobject
subject_key
required
Subject Key
string
project_role
required
Project Role
string
stack_ids
Stack Ids
Array<string>
suggested_stack_ids
Suggested Stack Ids
Array<string>
member_team_keys
Member Team Keys
Array<string>
private_repo
Private Repo
boolean
create_github_repo
Create Github Repo
boolean
establish_penpot_sync
Establish Penpot Sync
boolean
Example
{ "items": [ { "template_family": "", "summary": "", "stack_type": "", "project_type": "", "frontend_framework": "", "backend_framework": "", "git_path": "", "delivery_profile": "", "runtime_profile": "", "registry_profile": "", "execution_profile": "", "ai_agent_profile": "", "asset_preset_id": "", "private_repo": true, "create_github_repo": true, "establish_penpot_sync": false } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}